-----2.12.1 (2025-08-15) -----
Bug fixes:
	* Fix using default font for axis title
	* Fix build with system QXlsx (!693)
	* Fix build with system qads 4.4 (!694)
	* Crash on import when no projects opened (BUG 503800)
	* Save rotation of axis title seperately for x and y axis
	* Fix disappearing axis ticks (#1146)
	* Don't crash when creating the data spreadsheet for analysis curves (BUG 504662)
	* Fix crash when aspect is added and all docks in content area are hidden (BUG 504794, 502043)
	* Fix crash when column or row was added to spreadsheet from toolbar and no column or row was selected (BUG 504839)
	* Fix issue when the statistics spreadsheet was not shown if the spreadsheet was a child of workbook
	* Fix issue which caused the context menu of an aspect to not be shown after being reparented
	* Fix the issue with the load of projects with the data extractor where the extracted point were duplicated
	* Use different colors for the different curves in the data extractor, similar to how it's done in the plot area
	* Fix the handling of axis points in the data extractor after they were deleted and recreated again
	* Handle Windows logical font "MS Shell Dlg 2"
	* Fix crash when deleting a livedata source with missing source file
	* Parser: Remove not required function and reuse function instead of copying (BUG 506925)
	* Fix the export of spreadsheets to SQLite, wrong format was selected internally in the export dialog
	* Fix the export to SQLite of text values in the spreadsheet containing single quotes
	* Fix FITS import and export issues
	* Don't show any error messages and NaN values in the process behavior chart if no column or an empty column was selected
	* Remove unwanted entries on the undo stack that were created when modifying properties of the process behavior and run charts
	* Improve the quality of the fit model preview in the properties explorer and formula view in the random values dialog on hidpi screens
	* Fix save/load of the background color for the center value label in the process behavior chart

Improvements:
	* Better handling of the tab-order to switch between the widgets in the properties explorer
	* Added Shift+Enter shortcut in the properties explorer to recalculate the results of formula and analysis curves

-----2.12.0 (2025-04-25) -----
New features:
	* [general]
		* Detail info view mode in the Color Maps Browser
		* Extend About dialog: Add links and buttons to copy environment and citation, show external depenencies
		* Make the changes in Note undo/redo-able
		* For the number format, allow to specify in the application settings both - the decimal and the group - separators
		* Automatically update the visualizations on number format changes without restart
	* [import]
		* Download datasets from kaggle.com
		* Only allow selecting matching import filter
		* Support MCAP file import
		* Show error messages for the serial port in when creating a live data source to notify directly about missing device permissions, etc.
		* Add warning when importing projects in file import dialog
		* Improve error messages for data import
		* Fix preview of data with header
		* Ask how to treat multilayer graphs when opening OPJ project
		* Improve error message handling
		* Improve livedata import
		* Add possibility to specify custom column datatypes (mandatory for livedata)
		* Notify about the unsupported UTF16 encoding (BUG 496215)
		* Read live data with multiple columns also for UDP and local sockets and for Serial Port
		* Faster import of big ASCII files on Windows
		* Read calculated value instead of formula text from excel sheets
	* [analysis]
		* Add possibility to do calculations on curves (define a new curve as a function of another curve)
		* improve fit results note (color and alignment)
	* [live data]
		* Automatically recalculate analysis curves on data changes
		* Enabled conditional formatting, statistics spreadsheet, sparklines, plot data dialog, etc. also for live data source spreadsheets
	* [spreadsheet]
		* support periodic and random sampling as function: psample(n;x), rsample(x)
		* save the properties used to generate random values in the column for later re-use
		* allow to perform the distribution fit to the data directly from the spreadsheet
	* [worksheet] 
		* new visualization types:
			* Process Behavior Chart
			* Run Chart
		* more space for plots and less "ink" - no layout spacings, no minor grid lines, not plot borders, no ticks on secondary axes on default
		* allow to provide names for plot ranges for easier lookup and assignemnt in the plot elements
		* new option to use plot's main color (line, symbol, etc.) for the color of the name text shown in the legend
		* fix inverse axis scale for Arrhenius plots
		* show more plot sub-types (scatter, line, etc.) in the context menu for faster creation of these visualizations
		* use minus sign instead of hyphen for all numerical values shown on the worksheet and added a new option in the application settings to control this behavior
		* new application setting to control the size of the thumbnails in the worksheet preview panel
		* append file extension on export when not present

Performance improvements:
	* Made big spreadsheet (millions of cells) more responsive when selecting columns via the spreadsheet header
	* Faster redraw of plots and recalculation of analysis curves when masking/unmasking multiple cells in the spreadsheet
	* Faster redraw of plots and recalculation of analysis curves and calculated columns when removing multiple rows in the spreadsheet

Bug fixes:
	* Fix crash selecting "cell" from function list in function dialog
	* Properly draw the border line of the symbol in the legend (BUG 491310)
	* Show Ticks on inverted axes (BUG 491502 & 492475)
	* Fix add/subtract value functionality in Matrix (BUG 493523)
	* Fix wrong font size in the plot legend (BUG 493017) and in the axis title (BUG 472982)
	* Fix dark icon theme on non-Plasma platforms
	* Don't overwrite OPJ files when saving (BUG 496480)
	* Fixed the text cursor jumping to the beginning of the line when typing in text in the note (BUG 497029)
	* Fix accuracy of spin boxes(BUG 496804)
	* Don't crash when saving plots having multiple data source columns (box plot, etc.) after one of the columns was deleted (BUG 497712)
	* Don't crash selecting ODS import filter with invalid files
	* Fix moving objects by mouse (BUG 496478)
	* Use the proper local settings when pasting values in Matrix (BUG 500014)
	* Fix vanishing axes label (Issue #843)
	* Fix automatic data reduction (Issue #1105)
	* Correctly calculate the lengh of the minor axis ticks when saving the properties as a temlate (BUG 502704)

Internal:
	* use name LabPlot/labplot consistenly (renamed LabPlot2/labplot2)
	* switch to Qt6 only
	* make QtSvg optional


-----2.11.1 (2024-07-16) -----
Bug fixes:
	* Improve ODS support (selected platforms only)
	* Fixed the initial positioninig of the docks, should be put besides each other and not below
	* Don't try to restore the window size when starting for the first time, let the window manager do the initial size
	* Don't crash when opening a project which a hidden spreadsheet view
	* Fixed the background color of the sparklines in the spreadsheet
	* Fixed copy&paste and duplication of the matrix


-----2.11.0 (2024-07-09) -----
New features:
	* [general]
		* New application theme "Dracula"
		* New categorical color map "Dracula"
		* New option in the application settings to run a selected CAS engine at startup
		* New option in the application settings to control if the state of the dock widgets should be saved in the project file
		* Share the project via email, Nextcloud, etc. directly from the main menu
		* Allow to activate and deactivate the debug and performance tracing output in the terminal in the application settings
	* [worksheet]
		* Preview panel for all available worksheets in the project
		* Add possibility to use column labels as axis ticks
		* New visualization types:
			* Lollipop plot
			* Q-Q plot
			* KDE plot
		* Error bars for bar plots
		* New worksheet theme "Dracula"
		* Add possibility to lock elements for unintentional change in the plot
		* New panel in the presenter widget to allow the selection, zooming and navigation also in the presenter mode
		* Add possibility to limit the number of ticks for custom columns
		* Allow to show/hide the entry in the legend for all supported plot types and not only for XY-Curve
		* Add setting legend and text position relative to plot
		* Text alignment (left, center, right, block) in text labels
	* [spreadsheet]
		* Spreadsheet linking - allow to synchronize number of rows across multiple spreadsheets
		* Extended search and replace
		* Column statistics spreadsheet - child spreadsheet showing various statistical properties of the parent spreadsheet
		* Remove/mask rows with missing values
		* Allow to sort the whole spreadsheet even if one single column was selected, use it rather as the key sort column
		* When generating values via a function, allow to control whether the target spreadsheet should be resized to the size of the variable columns
		* When generating values via a mathematical expression ("generate function values"), allow to use variables in CAS-notebooks as source columns
		* Generation of equidistant values: support for date&time and integer columns
		* Generation of equidistant values: allow to fix the number of values and the increment at the same time
		* Support parsing more functions and operators for formulas and expressions
		* Add support to show the Sparkline of each respective column
		* Add triangular distributions (PDF, CDF) to parser and random number generation
		* Allow to reverse the current selection of cells
	* [notebook]
		* Export to PDF
		* "Configure CAS" in the menu to create a new notebook to directly allow the user to enable new backends in case not done yet
		* In case the correct path to a CAS like Maxima, etc. was configured, allow to use it without restarting LabPlot
		* Allow to show variable statistics and to plot data from the context menu in the project explorer similarly to spreadsheet columns
	* [import]
		* Templates for ASCII and Binary import filters - allow to save and load current filter settings
		* Support data import from ODS (Open Document Spreadsheet) files
		* When importing tables from SQL databases, allow to specify which data region to read (start/end values for columns and records)
		* Add seaborn's datasets to the collection of datasets
		* Properly handle out-of-memory situations when importing large amount of data
		* Better reporting of error messages in the import dialog
		* BLF
			* show additional information about the file (application name the file was created with, etc.) in the import dialog
		* OPJ:
			* Properly import projects having graphs with multiple axes (BUG 476355)
			* correctly import font sizes and legend fixes (#839)
			* improved text and legend label and positioning
			* import histogram and error bars
	* [analysis]
		* Add note for fit results

Performance improvements:
	* Make baseline removal much faster by using Eigen3 library (optional dependency)
	* Refactor formula parsing including better error handling
	* Reduced the memory consumption during the import of BLF files.

Bug fixes:
	* Support host processes (latex, octave, etc.) in sandboxed builds (like Flatpak)
	* Set mousemode to selection when leaving the plot (Issue #614)
	* Fix plot range field not being updated (Issue #603)
	* Fix wrong axis tick type used (Issue #571)
	* Fix wrong infoelement position when removing active curve (Issue #666)
	* Fix copying Elements (Issue #622)
	* Fix calculating skewness and kurtosis
	* Support start/end row/column in XLSX import preview
	* Fixed wrong string to load CANSettings
	* Don't draw any border line for the worksheet canvas (BUG 470625)
	* Fix ascii import (Issues #898, #901)
	* Use "export" instead of "import" in the tooltip texts in Export Worksheet Dialog (BUG 485706)
	* Don't allow to move axes with the arrow keys (BUG 480593)
	* Don't draw the border line that for the worksheet canvas (BUG 470625)
	* Fix crash during the data import into spreadsheet with column names changes (BUG 487748)
	* Use the vectorized version of the plot during the export for all plot types and not for XYCurve only (BUG 489861)

Internal:
	* Switch from C++11 to C++17
	* Support Qt6
	* Reduce code duplication caused by multiple plot types (Issue #540)
	* Update included QXlsx to 1.4.6
	* Build separate libraries for backend, nsl and everything and link only when needed in tests
	* Log skipped tests


-----2.10.1 (2023-07-12) -----
Bug fixes:
	* Support markdown library discount version 3
	* Improve Vector BLF dependency (git download must be enabled if needed)
	* Correctly use system header of system QXlsx (BUG 468651)
	* Fix group separator problem in formulas (BUG 468098)
	* Improve log scales (auto scaling and tick number)
	* Improve auto scale (Issue #536)
	* Fix limits when changing scale (Issue #446)
	* Use system liborigin headers if linking against system liborigin (BUG 469367)
	* Don't clear the undo history when saving the project (BUG 470727)
	* Properly react on orientation changes in the worksheet properties explorer
	* In the collections of example projects, color maps and data sets allow also to search for sub-strings and do the search case-insensitive
	* Properly save and load the property "visible" for box and bar plots in the project file
	* Fixed copy&paste and duplication of box and bar plots
	* .xlsx import:
		* Fix crash importing empty cells
		* support datetime import (Issue #531)
	* Properly set the initial properties of the reference line like line width, etc. (Issue #580)
	* Properly show the initial value of the property "visible" for the reference range (Issue #582)
	* React of Delete and Backspace keys to delete selected cells in spreadsheet columns (Issue #596)
	* Update the plot legend on column name changes used in box and bar plots (Issue #597)
	* Fixed the positioning of values labels for horizontal bar plots (Issue #599)
	* Initialize the parameters for the baseline subtraction with reasonable values on first startup and better apperance of the preview plot (Issues #594)


-----2.10.0 (2023-03-21) -----
New features:
	* [worksheet]
		* Bar plots
		* Plot templates - allow to save and re-use custom plot configurations
		* Histogram
			* Error bars (Possion sqrt(N) error or values from custom columns)
			* Rug plots
		* Box Plot
			* Rug plots
			* Symbols for whisker end points
			* Allow to modify box properties (color, etc.) for every data set independently of each other
			* Draw a legend item for every dataset in the box plot
		* Reference Range - custom area on the plot to highlight a certain x- or y-range
		* Show LaTeX error messages in text labels when rendering with LaTeX
	* [spreadsheet]
		* Use a different icon for calculated columns, also show the definition of the formula and parameters in the tooltip text in the project explorer
		* Heatmap formatting for categorical data in text columns
		* When generating random numbers, allow to specify the seed number
		* Column statistics for text columns including the frequency table, bar and Pareto plots
		* Column statistics for selected cells only
		* Dropping and masking of values also for text and datetime columns
		* Data sampling (random and periodic methods)
		* Data 'flattening' - convert pivoted data to column base format
		* Column statistics (size, mean, stddev, etc.) are available in the function dialog
		* Function values dialog supports accessing arbitrary cells of columns with cell(f(index), g(column,..)) and other moving functions
		* Allow to subtract and add a value by providing a difference between two values
		* Allow to subtract a baseline
	* [matrix]
		* Zooming in the image view
	* [import]
		* Import data from Excel .xlsx files using QXlsx library
		* Import of Binary Log File (BLF) files from Vektor Informatik
		* HDF5: support VLEN data import
		* Live data: support multiple values via TCP
	* [export]
		* Export spreadsheet and matrix in Excel .xlsx format using QXlsx library
		* Use the current working project directory, if available, as the default export path
	* [analysis]
		* Maximum likelihood estimation for several distributions
		* Guess start values of fit parameter for polynomial models by linear regression
		* Implement fourier filtering for datetimes
	* [general]
		* Allow to create a spreadsheet with the data steming from an equation curve, an analysis curve, a histogram or a box plot
		* Add settings option for GUM compliant terms

Performance improvements:
	* Reduce the memory consumption during the spreadsheet export to Sqlite
	* Reduce the memory consumption when importing from a database table into the spreadsheet
	* Faster import of files with a big number of columns
	* Faster creation of a big number of columns in the spreadsheet

Bug fixes:
	* [worksheet]
		* don't crash when undoing the step "add info element".
		* don't crash when changing the error bar types in the curve with no x-column selected yet
		* don't show any context menu in the presenter widget
		* use the full screen size in the dynamic presenter widget for worksheets with "use view size" property set to true
		* allow to zoom the view in the dynamic presenter widget
		* fix using custom value label with invalid data points in xy-curve (BUG 455214)
		* don't crash when deleting a text label that was added after worksheet objects (plots and curves) were created via the plot data dialog (BUG 455096)
		* fix displayed end value of date time plot range
		* fix shifts in date time values due to locale settings (BUG 455579 & 462370)
	* [spreadsheet] properly paste the data in the format 'yyyy-MM-dd hh:mm:ss' and similar
	* [fit] fix locale usage in evaluation range
	* [fit] correctly invalidate fit result when model changes
	* [i18n] fix switch language option


-----2.9.0 (2022-05-03) -----
	* [general]
		* Allow to copy&paste and to duplicate single objects in the project explorer
		* Allow to change the order of objects in the project explorer (move up and down)
		* Added global settings for numbers
		* Color maps manager allowing the access to multiple collections of color maps
		* Show git hash in about dialog for convenience
		* Use system liborigin when available
		* Open new project per default on startup
		* Examples Dialog - an easy way to browse through all available example projects and to open them directly in the application
		* Allow to save the project without the results of the calculations in the analysis curves to reduce the size of project file
		* Use XZ compression of project files per default with compatibility option for older versions of LabPlot
		* Improve preview resolution of distributions and fit functions
		* Add parser functions to generate non-uniform random numbers of several distributions
		* Fuzzy matching when doing search/filter in the Project Explorer
	* [analysis]
		* Support Mathieu functions via GSL
		* Support fitting of any distribution to a histogram
		* Added Hilbert transform including envelope
		* Improve entering ranges for various methods
	* [import]
		* Add Option to specify header line in ASCII data
		* Import SAS, Stata and SPSS files using readstat library
		* Import MATLAB MAT files using matio library
		* Import LTspice files
		* HDF5: Select first variable when loading file
		* HDF5: Use data type when importing data
		* HDF5: Preview and import 2d data of strings
		* Improved OPJ project import
		* Improve binary data preview and import data types and speed
	* [spreadsheet]:
		* Allow to freeze the first column
		* Search in the spreadsheet
		* Conditional heatmap formatting
		* Support value labels
		* Extended statistics dialog - show additional visualizations (histogram, KDE plot, normal Q-Q plot, BoxPlot)
		* List random number distributions alphabetically
	* [worksheet]:
		* Info Element - a new worksheet element to annotate curve values on the plot
		* Image Element - allow to embed the image data and save it in the project file
		* BoxPlot
		* Crosshair cursor mode in the plot
		* New themes "Monokai", "ggplot grey", "ggplot dark", "Tufte"
		* Many more curve symbols
		* Allow to specify text label's position in logical plot coordinates
		* Allow to use a custom column to set the text for the axis ticks
		* Allow to resize the plots on the worksheet with the mouse when no layout is active
		* Plot border type - allow to specify which lines of the plot rectangular to draw (left, top, etc.)
		* Support multiple plot ranges
		* Support real scientific notation and improve all formats of axes tick label
		* Support axes auto tick number and improve range auto scaling
		* Optional showing axis scale and offset in plot
		* Add inverse axis scale
		* Add first tick offset to better place axis ticks
		* Rug plot - visualization where the data points are displayed as marks along the axes
		* Tufte's "range frames" - a new mode in Axis to automatically set the start and end points of the axis to the min and max data points
		* Allow to specify which curves should be shown in the plot legend
		* Switched to Poppler for better LaTeX typesetting support
		* Support background color for label

Bug fixes:
	* Fitting: Fix missing locale support in evaluating range of fit function
	* Fitting: Fix pseudovoigt model
	* Fix crash in convolution and correlation
	* Windows: use breeze as default for better dark mode
	* Properly save the geometry of visible windows in the project
	* Interpolation: avoid crash when x data contains invalid data points or is not strictly increasing
	* HDF5: Fix reading attribute strings and better handle strings in compound data

-----2.8.2 (2021-04-01) -----
Bug fixes:
	* [CAS]
		* Fixed the regression introduced after the python2 backend was deprecated in Cantor
		* Warn about the potential data looses when a project with CAS content is opened but no CAS support is available
	* [worksheet]:
		* DateTime support for Custom Points and for Histograms
		* Fix "power of" notations for negative values, show "0" for zero and improve auto precision for small values for axis labels
		* Show all available symbols styles for CustomPoint, the last one was missing
		* Convert the plot range format to datetime also when the first histogram for datetime data was added to the plot
		* Properly restore the saved values column and also save the values formatting properties in the histogram
		* If the deleted columns are being restored, restore the column pointers also in the histograms
		* Properly react in the histogram when data columns are deleted or renamed
		* Save/load the values format in xy-curve
		* React on text changes for values prefix and suffix and not on return pressed event in the curve properties explorer
		* Fix log scale axis for one tick and ln-scale typo
		* Fix sqrt and square axis scale
		* adjust the range format (numeric vs. datetime) also when the column of the first curve is changed and not only when a new curve is added
		* simplified the naming of the initial axes for the default plot types (box blot with four axes,  etc.) - use "x" instead of "x axis 1", etc.
		* export to more image formats (jpg, bmp, ppm, xbm, xpm)
	* [spreadsheet]
		* show column statistics also for bigint columns
		* when selecting a column in the project explorer, make sure it becomes visible in the spreadsheet by scrolling horizontaly to its position
		* when removing or inserting rows in the spreadsheet, properly update the headers in the spreadsheet
	* [import]
		* Don't try to parse a netCDF file when the application was compiled without any support for netCDF, and similar for other formats
		* Show the last recently imported projects in a combobox also in ImportProjectDialog similar to how it's already done in ImportFileDialog
		* Don't show any error messages when the source file or local socket is empty when the import dialog is opened for the first time
		* Fixed ASCII import when start column > 1
	* Don't change the current selection in the Project Explorer when objects are being added or removed during undo or redo
	* Improved LaTeX support in export dialog and export of big spreadsheets
	* BUG 427190 - Fixed resetting parser error count on some platforms (Debian, Manjaro)
	* BUG 429110 - Support semicolon as function argument separator for locale with comma as decimal separator
	* BUG 429368 - Fix validation of custom model equation in fit dock
	* BUG 431535 - Save/Load value format
	* BUG 432291 - Show the relevant parts of the drop lines also when the data points are outside of the plot range

-----2.8.1 (2020-11-13) -----
	* [worksheet] allow to change the background color for axis labels (default: transparent)
	* [worksheet] allow to copy the plot cursor cordinates
	* [spreadsheet] better auto-detection of datetime format for values pasted in the spreadsheet
	* [live data] allow to add the timestamp column for all network live sources (TCP/UDP), not only for MQTT
	* [live data] better error handling and user notifications

Bug fixes:
	* Fix compiling with Cantor 20.08.X and X>0
	* Fix drawing lines between points of datetime data
	* Fix drawing axis tick label in color when in HTML mode
	* Fix size of dock widgets when changing between them
	* BUG 389920 - remove sub-window shadow remnants when closing the project
	* BUG 428029 - changing font of text label for newer Qt versions
	* BUG 428813 - full screen not restored (also fixed full screen on macOS)
	* BUG 428698 - Don't crash when doing drag&drop between different main windows
	* Fix missing settings dialog on macOS
	* Parser improvements (found in "Generate Function Values"):
		* Fix Crash using variable name of pre-defined functions as function ("sin()")
		* Allow variable names containing function names ("sina")
		* Correctly remove variables when changing name
		* Use application number locale
		* insert predefined functions with correct number of arguments

-----2.8 (2020-09-16) -----
	* Improved DateTime data support
	* Show the size of the members in the JSON file in the import file dialog
	* [worksheet] In the Export Worksheet Dialog allow to export to the clipboard
	* [worksheet] Allow to move plots, text labels and legend with arrow keys
	* [worksheet] Image worksheet element
	* [worksheet] Reference line on the plot
	* [worksheet] Support for imperial units for geometry and size settings of objects
	* [worksheet] Improve axes major and minor tick settings
	* [spreadsheet] show infinite values as such and not as NaN
	* [spreadsheet] support big integer (64 bit) as data type
	* [spreadsheet] column normalization methods "divide by max", "divide by min", etc.
	* [spreadsheet] Tukey's ladder of powers
	* [spreadsheet] added the size of the data set, its mode, 1st and 3rd quartiles and IQR to the column statistics
	* [analysis] calculate and expose the rough values as the result of a smooth (data = smooth + rough)
	* Allow to open Cantor and Jupyter projects
	* [Windows] improved craft blueprint and installer package
	* [macOS] added support for touchbar
	* Support global user specified decimal separator
	* Improved locale support in number input fields
	* Extended "About"-Dialog

Bug fixes:
	* BUG 421193 - import float(4) data from hdf5
	* BUG 418390 - Ignore infinite values (created in CAS worksheets for example) in curves
	* BUG 412455 - Don't crash (sporadically) when opening the color scheme menu
	* BUG 415214 - Better algorithm to draw the error bar caps
	* BUG 413397 - Properly handle removal of columns in the spreadsheet model
	* BUG 413401 - In plot data dialog, don't add new worksheets as children to workbooks, use the proper parent aspect
	* Fix Cantor support and Unicode characters on Windows
	* Fix evaluating fit residuals

-----2.7 (2019-10-24)-----
New features:
	* Allow to move objects (drag&drop) to different folders in the project explorer
	* [spreadsheet] allow to insert multiple rows and columns in one step
	* [spreadsheet] improved the handling of calculated columns (values calculated via a formula):
		* Allow to automatically update the calculated column on data changes in the variable columns
		* Invalidate the calculated column if one of the variable columns was deleted
		* In "Functions Values" dialog highlight the variable column combobox red if the variable column was deleted in the project
		* In "Functions Values" dialog don't allow to select columns to be calculated as variable columns (avoid circular dependencies)
		* In "Used in" context menu of a column show all other calculated columns where this column is used as a variable
	* [spreadsheet] when pasting data into empty columns, automatically convert their type to the type of the data to be pasted
	* Automatically update curves if a data column deleted before was re-added again (during the import or manually)
	* When auto-scaling in the plot take also the error bars into account, if available
	* For live data sources allow to save the relative path to the data source

UX improvements:
	* in the "Import Data" dialog show the history of the recently imported files
	* Improved the selection of curves in the plot that are near to or behind each other
	* BUG 408529 - Allow to use DEL to delete cells in spreadsheet and matrix
	* BUG 408537 - Allow to insert multiple rows and columns in the spreadsheet in one step
	* Added translations to Windows and macOS packages
	* Allow to stop the current selection in the plot with ESC
	* BUG 410855 - Seed the random number generator with the current time in order not to generate repetitive numbers in the spreadsheet.

Performance:
	* Increased the plotting speed for curves with many data points by removing points which are shown on the same pixel in the scene

Bug fixes:
	* Disable auto-scale when zooming, otherwise wrong (= auto scaled) data region is shown after project save&open
	* [macOS] fix determining number of lines of data files
	* Bug 408530 - correctly show error bars for data source columns having NANs
	* Bug 407847 - fixed the broken project import
	* Bug 411122 - fixed missing option for the resolution of PNG files in the export dialog
	* BUG 406805 - support for directory structures in ROOT files
	* [data fitting] handle weighted fitting with zero errors correctly
	* [data fitting] allow weighted fitting with data source from curve
	* [data fitting] fix function for calculating bounded values
	* [nsl] fix memory leak in line simplification (Douglas Peuker variant)
	* [nsl] fix bug in calculating Bessel polynomials on Windows (used in Bessel filter)

-----2.6 (2019-04-19)-----
New features:
	* Histogram
	* Import from MQTT sources
	* Import of ROOT (CERN) TH1 histograms
	* Import of Ngspice raw files (ASCII and binary)
	* Import of data in JSON format (JSON arrays and objects)
	* Improved import of NetCDF files
	* Added file type specific summary and content for special file types in info box of import dialog
	* Convolution/Deconvolution of data sets (sampling interval, linear/circular, normalization, wrap, standard kernel)
	* Cross-/Autocorrelation of data sets (sampling interval, linear/circular, normalization)
	* Allow to specify the number format when exporting spreadsheet and matrix
	* Improved user interface for data fitting (add fit function preview, show parameters directly, make options foldable)
	* [spreadsheet] when filling a float column with row numbers, automatically convert its type to integer
	* [spreadsheet] when filling an integer column with function values, automatically convert its type to float
	* [spreadsheet] data manipulation: add/subtract/multiply/divide for column values
	* [spreadsheet] export to SQLite
	* [matrix] data manipulation: add/subtract/multiply/divide for matrix values
	* [worksheet] Allow to specify different border shapes for labels (rectangle, eclipse, etc.)
	* [worksheet] Allow to rotate plot legends
	* [worksheet] Better positioning of rotated axis tick labels
	* [worksheet] Allow to make plots not-interactive (ignore mouse drag and wheel events) to avoid unwanted occasional panning and zooming
	* Allow to connect to SQL databases via ODBC
	* Show the amount of consumed memory in the status bar (optional)
	* Allow to change the settings for different computer algebra systems (Maxima, etc.) directly in LabPlot (embedd Cantor's settings widgets)

Bug fixes:
	* Fixed several problems in live data support
	* [spreadsheet] properly calculate function values out of integer x-values
	* [matrix] fix editing integer values
	* [import] fix preview update and add missing close of netcdf files
	* Don't crash when a scaling factor equal to zero was set for axis

-----2.5 (2018-06-21)-----
New features:
	* Support for reading and plotting of live-data
	* Improved data fitting
		* Automatically guess parameter of custom models
		* Better result presentation
		* Support different weight types
		* Consider given x- and y-error when fitting (can be switched off)
		* Show t statistics, P > |t| and confidence interval
		* Calculate p-value for chi-square and F test in nonlinear fitting
		* added fit models for most statistical distributions
	* Improved theming
		* Apply themes to worksheet and to all its children
		* Respect theme settings also in plot legends and labels
		* Allow to disable theming in worksheets and plots after a theme was selected
		* Show currently active theme in the "Apply theme" button
		* New application option in the settings for the default theme used for new worksheets.
	* Support different data types
		* auto detect integer and datetime data in import
		* support number locale and datetime formats
		* improved data type support in spreadsheets
	* Import from SQL databases (tables or custom queries)
	* Import Origin OPJ projects
	* Much better support for Windows and macOS
	* Syntax highlighting for LaTeX in the text label
	* Allow to set the background color for LaTeX labels
	* Support Hermite polynomials from GSL 2.4
	* Support error functions and related functions from libcerf
	* "Used in" sub-menu in column contex menu for faster navigation to the curves consuming the column
	* Direct application of analysis functions (smoothing, interpolating, etc.) on the ploted data via curve's context menu
	* Direct application of analysis functions  on the data in the spreadsheet and plotting of the results via spreadsheet's context menu
	* Drag columns in the project explorer and drop them on plots (either in a worksheet view or in the project explorer) to create curves
	* "Show last N points" and "Show first N points" data ranges in cartesian plot
	* Added CLI option --presenter to start LabPlot directly in the presenter mode
	* Added CLI parameter to directly open project files (LabPlot or Origin)
	* Allow drag&drop of projects files (LabPlot and Origin) on the main window to load the project
	* Allow drag&drop of data files on the main window to import the data
	* Show tooltips for the supported mathematical functions and constants in the expression text field
	* Automatically switch to the scientific representation for numbers bigger than 10^4 on the axis tick labels
	* Automatically allow the latex typesetting in the application after the latex environment was installed later without making the user to go to the settings dialog
	* Allow to change the color scheme for the application
	* Smooth and animated zooming in the worksheet view
	* Allow to add text labels to plots
	* Improved building with MSVC, Intel and PGI compiler

Performance improvements:
	* Faster copy&paste in the spreadsheet

Bug fixes:
	* Bug 379877 - masked rows in spreadsheet not restored in project
	* Calculation of fit results corrected
	* Axes now support values larger than FLT_MAX (~10^38) and smaller than FLT_MIN (~10^-38)
	* When a LabPlot project is being droped in the main window, load the project directly instead of showing the import file dialog
	* Correctly save and restore masked cells
	* Don't crash if the rc-file was not found during the startup

-----2.4 (2017-04-09)-----
New features:
	* Support themes for plots
	* Import and editing of FITS data files
	* Data reduction by removing data points using multiple algorithms
	* Numerical differentiation and integration with several options
	* Many new pre-defined fit models (Gompertz, Weibull, Log-Normal, Gumbel, etc.) sorted in categories
	* Fit parameter now support fixed values, lower/upper limits and use Unicode
	* Fit model and random number distribution formulas are now rendered with LaTeX
	* Support user specified x range in all analysis functions
	* Allow to enter complete LaTeX documents in text labels
	* Configuration parameter to use different LaTex engines (LuaLaTex, XeLatex, pdfLaTex, LaTex)
	* Disable LaTeX typesetting if no LaTex installation (and other required tools) were found at runtime
	* Presenter mode for worksheets
	* Support for Mac OS
	* Support for Julia's vectors and tuples in CAS worksheets (requires Cantor v. 16.12 or higher)
	* Allow to jump directly to the data source spreadsheet via XYCurve's context menu
	* Select and delete multiple objects in project explorer
	* Improved and extended internal parser for mathematical expressions
	* Copy of worksheet elements as image to the clipboard via CTRL+C

Bug fixes:
	* BUG: 361326 - Allow to select curves with overlapping bounding boxes
	* Correctly load worksheet sizes from saved templates
	* Fixed crash when removing columns in spreadsheet
	* Fixed crash when fitting using GSL >= 2
	* List of available functions corrected
	* Constants are now available with full accuracy
	* Windows: Import of files and open recent files fixed

-----2.3 (2016-07-23)-----
New features:
	* Integration of Cantor - Support for different open-source computer algebra systems
	* Statistics on spreadsheets and matrices
	* Export of spreadsheets and matrices to LaTeX tables
	* Interpolation of data including different splines, cosine, exponential, cubic Hermite (Catmull-Rom, cardinal, Kochanek-Bartels) and rational functions
	* Data smoothing using moving average (centered or lagged), percentile filter or Savitzky-Golay algorithm
	* Fourier filter (low pass, high pass, band pass, band reject) with ideal, Butterworth, Chebychev I+II, Legendre or Bessel-Thomson filter
	* Fourier transform with many window functions (Welch, Hann, Hamming, etc.) calculating magnitude, amplitude, power, phase, dB, etc. and supporting
		one/two sided spectrum with or without shift and x scaling to frequency, index or period
	* Filter and search capabilities in the drop down box for the selection of data sources
	* Sigmoid function as a new pre-defined fit model
	* Support for compiling on Microsoft Windows

Performance improvements:
	* Faster generation of random values
	* Global option to enable/disable the double-buffering for faster painting of curves (enabled on default)

Bug fixes:
	* Save and restore last used setting in RandomValuesDialog
	* Update axis title shape on title rotations correctly
	* Save and restore custom column widths in the spreadsheet
	* Fixed sporadic crashes during project close

-----2.2 (2016-03-29)-----
New features:
	* Datapicker - tool for extracting curves and data points from imported images
	* Custom point on the plot with user-defined position and appearance
	* Accept drag&drop events
	* Support GSL 2.x
	* Import and export dialogs save and restore their settings and sizes

Performance improvements:
	* Faster rendering of the image view of the matrix

Bug fixes:
	* BUG: 354744 - make setting of range auto scaling in CartesianPlot undo/redo-able
	* Removed couple of hard coded sizes given in pixels for better user-experience on hidpi-displays
	* Fixes the bug with disabled undo/redo-actions in after the undo-history was cleared
	* Keep the information about the columns to be shown in the project explorer after project close
	* Fixed some bugs in painting of the selection band on the worksheet
	* Allow to open gz- and bz2-compressed LabPlot project files on the command line interface

-----2.1 (2015-10-25)-----
New features:
	* New Matrix view for handling matrix data.
	* Workbook - a new container for grouping several objects of type Spreadsheet and/or Matrix.
	* Import of binary, image, NetCDF and HDF data into spreadsheet or matrix.
	* Visual HDF and NetCDF parser to view content of files and import data sets.
	* Preview of all supported file types in import dialog.
	* Transparently import compressed data files.
	* In xy-curve the points may not be connected by the line if there are NANs in-between. This behaviour is controlled by the parameter "skip gaps".
	* Multiplier of Pi format of the plot axis for periodical functions.
	* New operations on columns in Spreadsheet - reverse, drop values and mask values.
	* Formula used to generate the values in a column is stored and can be changed/adjusted in the formula dialog afterwards.
	* Curve filling: the area below, under, left to or right to the curve can be filled.
	* Support for multiple variables in "Function Values"-dialog - new data in the spreadsheet can be calculated out of multiple columns.

Performance improvements:
	* Speeded up the creation of new columns during the import

Bug fixes:
	* Fixed wrong behaviour when doing "zoom&select" in a plot and then deselecting the plot - it was not possible anymore to select the plot again on the worksheet.

-----2.0.2 (2015-03-15)-----
New features:
	* Plot 2D-curves defined by mathematical equations in cartesian and polar coordinates or via a parametric equation.
	* Linear and non-linear regression analysis. Several predefined fit-models are provided. User-defined models are also possible.
	* Besides fixed worksheet sizes (predefined sizes like A4 etc. or user-defined), complete view size can be used. All sizes are automatically adjusted on resize.
	* Different axis arrow types.
	* "select region and zoom in", "select x-region and zoom in", "select y-region and zoom in" functions for cartesian plot.
	* Rounded border for several worksheet objects  (plot area, legend etc.)
	* Hover effect for axis, curve and text label.
	* Added a MessageBox - ask befor deleting worksheet objects.
	* Added three new types for drop lines - "zero baseline", "min baseline" and "max baseline"
	* Fill the selection in Spreadsheet with a constant value provided by the user
	* Fill columns with uniform and non-uniform random numbers, several distributions are available.
	* Fill columns with function values
	* Allow custom resolutions for PNG-export
	* Export of the spreadsheet to a text file.
	* Simultaneous zooming and navigation accross multiple plots.
	* Implemented "Powers of 10/2/e" for the axis tick labels

Bug fixes:
	* Don't crash when trying to create a plot in case no rc-file was installed.
	* Don't allow to select unwanted objects in TreeViewComboBox in ImportDialog and XYCurveDock.
	* Corrected painting of background images in plot area and legend.
	* BUG: 330723 - fixed weird selection in spreadsheet.
	* BUG: 330774 - fixed wrong positioning of axis on orientation changes.
	* Update main window title when project name is changed

-----2.0.1 (2014-03-01)-----
Bug fix release. Solved issues:
	* Fixed wrong scaling of legend's text labels in pdf-export
	* Fixed memory corruption in CartesianPlotDock that can lead to crashes

-----2.0.0 (2014-01-19)-----
First stable release of LabPlot2. LabPlot2 is a complete rewrite of LabPlot1 and lacks in this release a lot of features available in the predecessor. On the other hand, the GUI and the usability is more superior as compared to LabPlot1 and there are several new features that were not available in LabPlot1.

Brief summary of features and capabilities of LabPlot2 implemented in the first release:
	* project-based management of data
	* created objects are organized in a tree and are visualized and accessible in the project explorer
	* for a better management of objects, additional folders and sub-folders can be created within a project
	* spreadsheet with very basic functionality is available for manual data entry
	* "file data source" can be used to import a file and to let LabPlot2 watch for changes in that file
	* external data from an ascii file can be also directly imported to a spreadsheet for further editing
	* worksheet is the main object where plots, labels etc. are placed on
	* several zooming functions for the worksheet
	* only cartesian plot is implemented in the first release
	* arbitrary number of freely positionable axes is possible
	* xy-curve is implemented. As the data source for the x- and y-values columns either from a spreadsheet
	  or from a file data source can be used
	* several zooming and "movement" functions are available for the plots which help to navigate through data
	* legend for xy-plots
	* a lot of properties of the worksheet elements can be edited in a very easy way in the corresponding dock widgets
	* plots on the worksheet can be put into a horizontal, vertical or grid layouts
	* export of worksheet (entire worksheet or current selection) to pdf, eps, png and svg
